// common notion of period
X.T => dur M;
// synch to beginning of next period
M - (now % M) => now;
// quarter
M / 6 => dur T;

// synthesis patch (make sure X.ck is running)
SndBuf buf => Gain g => X.out;
"data/eraser-snare.wav" => buf.read;
// stop it 
0 => buf.rate;
0 => buf.gain;

// go
while( true )
{
    // wait
    2::T => now;
    
    // play
    0 => buf.pos;
    1 => buf.rate;
    Std.rand2f(.8,.9) => buf.gain;
    2.5::T => now;

    // play
    0 => buf.pos;
    Std.rand2f(.8,.9) => buf.gain;
    1.5::T => now;
}
